## org.mortbay.jetty.plus.jaas.spi
Class AbstractLoginModule.JAASUserInfo

    java.lang.Object
      org.mortbay.jetty.plus.jaas.spi.AbstractLoginModule.JAASUserInfo

Enclosing class:
  AbstractLoginModule

    public class AbstractLoginModule.JAASUserInfo

extends java.lang.Object

Constructor Summary
`AbstractLoginModule.JAASUserInfo(UserInfo u)`

Method Summary
`boolean` `checkCredential(java.lang.Object suppliedCredential)`
`java.security.Principal` `getPrincipal()`
`java.lang.String` `getUserName()`
`void` `setJAASInfo(javax.security.auth.Subject subject)`
`void` `setUserInfo(UserInfo u)`
`void` `unsetJAASInfo(javax.security.auth.Subject subject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLoginModule.JAASUserInfo

    public AbstractLoginModule.JAASUserInfo(UserInfo u)

Method Detail

### getUserName

    public java.lang.String getUserName()

### getPrincipal

    public java.security.Principal getPrincipal()

### setUserInfo

    public void setUserInfo(UserInfo u)

### setJAASInfo

    public void setJAASInfo(javax.security.auth.Subject subject)

### unsetJAASInfo

    public void unsetJAASInfo(javax.security.auth.Subject subject)

### checkCredential

    public boolean checkCredential(java.lang.Object suppliedCredential)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.